- name: move ceph files to right place
  copy:
    src: /tmp/ceph-configs/ceph
    dest: /etc/
    force: yes
    mode: '755'

- name: mkdir for id
  file:
    state: directory
    path: /var/lib/ceph/mon/ceph-mon.{{ inventory_hostname }}

- name: mkdir temp configuration files
  file:
    state: directory
    path: /tmp/mon.{{ inventory_hostname }}

- name: retrieve keyring
  shell: >
    ceph auth get mon. -o /tmp/mon.{{ inventory_hostname }}/key

- name: retrieve monmap
  shell: >
    ceph mon getmap -o /tmp/mon.{{ inventory_hostname }}/map

- name: prepare monitor
  shell: >
    ceph-mon -i {{ inventory_hostname }} --mkfs --monmap 
    /tmp/mon.{{ inventory_hostname }}/map --keyring 
    /tmp/mon.{{ inventory_hostname }}/key
  become: yes

#- name: start monitor
#  shell: >
#    ceph-mon -i {{ inventory_hostname }} --public-addr 
#    {{ storage[inventory_hostname].ip }}:6789

- name: restart ceph mon
  systemd:
    name: ceph-mon
    state: restarted
    enabled: true

- name: enable messanger v2
  shell: ceph mon enable-msgr2
  retries: 10
  delay: 3
  register: result
  until: result.rc == 0

- name: get osd bootstrap key
  shell: ceph auth get client.bootstrap-osd > /var/lib/ceph/bootstrap-osd/ceph.keyring
  become: yes
